classification
Title: spurious space after opening parenthesis when auto-completing
Type: behavior Stage: needs patch
Components: Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: readline update
View: 5833
Assigned To: Nosy List: pitrou, terry.reedy
Priority: normal Keywords:

Created on 2009-05-10 23:56 by pitrou, last changed 2009-07-27 13:50 by pitrou. This issue is now closed.

Messages (3)
msg87558 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-05-10 23:56
Recent trunk/py3k revisions add a spurious space character after the
opening parenthesis when doing completion at the interpreter prompt. For
example if you type "he" and then press the Tab key, it will display
"help( " instead of "help(".
msg87853 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-05-16 03:26
What system are you using?  On Windows 3.0.1, standard interpreter window,
'h' 'e' '<tab>' prints 'h' 'e' ' ' ' ' (making, with '>>> ', 8 chars.
Which is to say, there is no tab completion.

On IDLE, same brings up box and <tab> <tab> completes to 'help'
msg87865 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-05-16 08:48
This is with readline and rlcompleter enabled.
However, it actually does this with the installed system Python too, so
I fear some system-specific problem (perhaps a buggy readline library).
History
Date User Action Args
2009-07-27 13:50:30pitrousetstatus: open -> closed
resolution: duplicate
superseder: readline update
2009-05-16 08:48:48pitrousetmessages: + msg87865
2009-05-16 03:26:35terry.reedysetnosy: + terry.reedy
messages: + msg87853
2009-05-10 23:58:45pitrousetpriority: release blocker -> normal
2009-05-10 23:56:49pitroucreate